<!--
/**
 * Copyright (C) 2020 KhronoSync Digital Solutions LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>
 */
-->
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Linux Delta</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
  <link rel="stylesheet" href="/static/css/w3.css">
  <link rel="stylesheet" href="/static/css/theme.css">
  <link rel="stylesheet" href="/static/css/style.css">
</head>
<body class="content">

{{template "header.html" .}}

<div class="w3-center an-theme-d2">
  {{if eq .TitleImage ""}}
    <h1>
      {{.Title}}
    </h1>
  {{else}}
    <div class="w3-bar">
      <img class="w3-padding"
           style="width: auto; max-height: 125px;"
           src="/static/images/{{.TitleImage}}"
           alt="{{.Title}}"/>
    </div>
  {{end}}
</div>

{{if and (ne .VideoSource "") (ne .AudioSource "")}}
<div class="w3-margin-right w3-margin-left" style="height:475px">
  <ul class="tabs">
    <li class="tab">
      {{if (eq .DefaultSource "video")}}
        <input type="radio"
               name="tabs"
               id="tabvideo"
               checked/>
      {{else}}
        <input type="radio"
               name="tabs"
               id="tabvideo"/>
      {{end}}
      <label for="tabvideo">Video</label>
      <div id="tab-contentvideo0" class="content ur w3-center">
        <div id="se_video"
             class="w3-bar w3-margin"
             style="width: 75.5%; height: 375px;">
        </div>
      </div>
    </li>
    <li class="tab">
      {{if (eq .DefaultSource "audio")}}
        <input type="radio"
               name="tabs"
               id="tabaudio"
               checked />
      {{else}}
        <input type="radio"
               name="tabs"
               id="tabaudio" />
      {{end}}
      <label for="tabaudio">Audio</label>
      <div id="tab-contentaudio0" class="content ur w3-center">
        <div class="w3-bar w3-margin"
             style="width: 75.5%; height: 375px;" >
          <audio style="padding-top: 150px;" controls>
            <source src="{{.AudioSource}}" type="{{.AudioType}}">
            Your browser does not support the audio element.
          </audio>
        </div>
      </div>
    </li>
  </ul>
</div>

{{else if (ne .AudioSource "")}}
<div class="card w3-margin w3-center">
  <div class="w3-bar w3-margin"
       style="width: 75.5%; height: 40px;" >
    <audio controls>
      <source src="{{.AudioSource}}" type="{{.AudioType}}">
      Your browser does not support the audio element.
    </audio>
  </div>
</div>

{{else}}
<div class="card w3-margin w3-center">
    <div id="se_video"
         class="w3-bar w3-margin"
         style="width: 75.5%; height: 375px;">
    </div>
</div>
{{end}}

{{if ne .IrcChatNote ""}}
<div class="w3-bar an-theme-d2 w3-center"
  style="width: 70%; margin: 0 15% 0 15%;font-style: italic">
    {{.IrcChatNote}}
</div>
{{end}}

<div>
  <iframe src="{{.IrcChatSource}}"
          style="border: 0; width: 100%; height: 450px;">
  </iframe>
</div>

{{template "footer.html" .}}

<script type="text/javascript"
        src="//embed.scaleengine.net/user/altispeed/clappr/0.x/clappr.min.js">
</script>
<script type="text/javascript">
  const player = new Clappr.Player({
    source: "{{.VideoSource}}",
    parentId: "#se_video",
    poster: "{{.VideoPoster}}",
    autoPlay: false,
    width: "100%",
    height: "100%",
    plugins: {core: [], playback: []},
  });
</script>
</body>
</html>